@echo OFF
color 3F
cls
title UniProg USB - AVR fuse bits programming
echo *** Programowanie fuse-bitow AVR przez UniProg USB ***
echo.

rem === inicjalizuj zmienne lokalne ==================================
setlocal

rem katalog roboczy:
set workdir=%CD%

rem aplikacja programujaca:
set HANDLER="%workdir%\avrdude.exe"

rem wartosci fuse-bitow AVRa:
set EFUSE="0xFF"
set HFUSE="0xC9"
set LFUSE="0xDC"
rem ==================================================================


rem ==== programowanie ===============================================
rem %HANDLER% -c UNIPROG -p m169 -P ft0 -B 19200
%HANDLER% -c UNIPROG -p m128 -P ft0 -B 19200 -U efuse:r:c:\UniProgUSB\UniProgUSB_GUI\efuse:h -U hfuse:r:c:\UniProgUSB\UniProgUSB_GUI\hfuse:h -U lfuse:r:c:\UniProgUSB\UniProgUSB_GUI\lfuse:h -u
rem ==================================================================


rem === wyczysc zmienne lokalne ======================================
pause
set HANDLER=
set HEX=
set EFUSE=
set HFUSE=
set LFUSE=
rem ==================================================================


rem przykladowy rozklad fusow dla ATmega169:

rem lfuse: 0xDC
rem ckdiv8	 = b7 = 1
rem	ckout    = b6 = 1
rem	sut1	 = b5 = 0
rem sut0	 = b4 = 1	  
rem cksel3	 = b3 = 1
rem cksel2	 = b2 = 1
rem cksel1	 = b1 = 0
rem cksel0	 = b0 = 0

rem hfuse: 0xC9
rem ocden	 = b7 = 1
rem	jtagen   = b6 = 1
rem	---		 = b5 = 0
rem wdton	 = b4 = 0	  
rem eesave	 = b3 = 1
rem bootsz1	 = b2 = 0
rem bootsz0	 = b1 = 0
rem bootrst	 = b0 = 1

rem efuse: 0xFF
rem ---		  = b7 = 1
rem	---	  	  = b6 = 1
rem	---		  = b5 = 1
rem ---		  = b4 = 1	  
rem bodlevel2 = b3 = 1
rem bodlevel1 = b2 = 1
rem bodlevel0 = b1 = 1
rem ---		  = b0 = 1
